Subject: bug#17008: 24.3.50; If `blink-matching-paren' is on, matching paren is only highlighted, no point jumping anymore?

From: Mario Lang <[email-masked]>
Date: Thu, 13 Mar 2014 15:20:32 +0100

I am a long-term user of blink-matching-paren, however I always
relied on the fact that it jumped point to the open paren, instead of
just highlighting it.  I am a blind Emacs user using a braille display.
With braille displays, you never see highlightings.
But you can see a moving cursor very well.

I noticed in 24.3.50 that this behaviour is apparently gone.

If I enable blink-matching-paren all that happens is
a visual highlight, but no movement of point anymore.

So this feature is essentially completely useless for me now.
But I use it on a daily basis.

If there is a way to configure Emacs such to get
the old behaviour back, please tell me how, and maybe
document it more clearly?

If not, please bring the old behaviour back as an option.

In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, X toolkit, Xaw scroll bars)
 of 2014-03-06 on fx
System Description:	Debian GNU/Linux unstable (sid)

Configured using:
 `configure --with-jpeg=no --with-gif=no --with-tiff=no'

Important settings:
  value of $LANG: de_AT.UTF-8
  locale-coding-system: utf-8-unix

Major mode: ERC

Minor modes in effect:
  erc-button-mode: t
  erc-ring-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-fill-mode: t
  erc-autojoin-mode: t
  erc-pcomplete-mode: t
  erc-match-mode: t
  erc-netsplit-mode: t
  erc-services-mode: t
  erc-stamp-mode: t
  erc-notify-mode: t
  erc-networks-mode: t
  auto-insert-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
O A ESC O A ESC O D ESC O D ESC O D ESC O D ESC O D 
ESC O A ESC O A ESC O B ESC O A ESC O B ESC O B ESC 
O B ESC O B ESC O B ESC O B ESC O B ESC O B ESC O B 
ESC O B ESC O B ESC O B ESC O B ESC O B ESC O B ESC 
O A ESC O A ESC O A ESC O A ESC O A ESC O B ESC O B 
ESC O B ESC O B ESC O B ESC O B ESC O B ESC O B ESC 
O B f o r TAB A s SPC f a r SPC a s SPC I SPC c a n 
SPC s e e , SPC b l i n k i n g SPC i s SPC t h e SPC 
o n l y SPC o p t i o n SPC n o w . SPC SPC I SPC d 
o n t SPC s e e SPC a n y SPC p o i n t - m o v i n 
g SPC t h i n g SPC a n y m o r e . RET ESC : b l i 
n k - m a t c ESC TAB p ESC TAB RET w g r DEL DEL DEL 
ESC : ESC O A RET ESC O A ESC O A ESC O A ESC O A ESC 
O B ESC O B ESC O B ESC O B ESC O B ESC O B ESC x r 
e p o r t - e m a c s - b u TAB RET

Recent messages:
End of buffer [7 times]
GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, X toolkit, Xaw scroll bars) of 2014-03-06 on fx
End of buffer
Type "q" in help window to restore its previous buffer.
mouse-2, RET: find function's definition
Mark set
Making completion list...
Show-Paren mode disabled
End of buffer [24 times]
t [2 times]
End of buffer [2 times]

Load-path shadows:
/home/mlang/emacs/lisp/battery hides /usr/local/share/emacs/24.3.50/lisp/battery
/home/mlang/emacs/lisp/diff hides /usr/local/share/emacs/24.3.50/lisp/vc/diff

Features:
(shadow nnir emacsbug paren debug misearch multi-isearch jka-compr
eieio-opt speedbar sb-image ezimage dframe find-func help-mode apropos
erc-button erc-ring erc-track erc-fill erc-join erc-pcomplete pcomplete
comint ring erc-match erc-netsplit erc-services erc-stamp erc-notify
erc-networks erc-menu erc-imenu imenu erc-goodies erc erc-backend
erc-compat thingatpt pp mail-extr mule-util sort gnus-cite ansi-color qp
gnus-async gnus-bcklg gnus-ml edmacro kmacro disp-table gnus-topic
timezone mm-archive url-http url-gw url-cache url-auth url-handlers
nndraft nnmh utf-7 nnimap parse-time utf7 netrc nnfolder executable
time-stamp vc-cvs nnagent nnml network-stream starttls tls gnus-agent
gnus-srvr gnus-score score-mode nnvirtual gnus-msg gnus-art mm-uu
mml2015 epg-config mm-view mml-smime smime dig nntp gnus-cache nnrss xml
mm-url url url-proxy url-privacy url-expand url-methods url-history
url-cookie url-domsuf url-util url-parse auth-source eieio byte-opt
bytecomp byte-compile cconv eieio-core password-cache url-vars mailcap
gnus-mlspl gnus-sum nnoo gnus-group gnus-undo nnmail mail-source
gnus-start gnus-spec gnus-int gnus-range message sendmail cl-macs gv
format-spec rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse
rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev gmm-utils mailheader
gnus-win jack cl eldoc server gnus gnus-ems nnheader gnus-util time-date
mail-utils mm-util mail-prsvr wid-edit cl-loaddefs cl-lib cus-start
cus-load autoload help-fns lisp-mnt diary-lib diary-loaddefs cal-menu
easymenu calendar cal-loaddefs autoinsert tooltip electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting x-toolkit x multi-tty emacs)

-- 
CYa,
  ⡍⠁⠗⠊⠕ | Debian Developer <URL:http://debian.org/>
  .''`. | Get my public key via finger mlang/[email-masked]
 : :' : | 1024D/7FC1A0854909BCCDBE6C102DDFFC022A6B113E44
 `. `'
   `-      <URL:http://delysid.org/>  <URL:http://www.staff.tugraz.at/mlang/>